namespace Intrepid.Integration.Input
{
    public class InputLocking
    {
        public bool IsLocked { get; private set; }
        public bool IsNotLocked => !IsLocked;

        public void Lock()
        {
            IsLocked = true;
        }
        
        public void UnLock()
        {
            IsLocked = false;
        }
    }
}